<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>Uses of Interface qengine.query.pattern.Pattern</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface qengine.query.pattern.Pattern";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Pattern.html" title="interface in qengine.query.pattern">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Interface qengine.query.pattern.Pattern" class="title">Uses of Interface<br>qengine.query.pattern.Pattern</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#qengine.index">qengine.index</a></th>
<td class="colLast">
<div class="block">Indexages pour <a href="../../../dictionary/package-summary.html"><code>qengine.dictionary</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#qengine.index.triplestore">qengine.index.triplestore</a></th>
<td class="colLast">
<div class="block">Indexages en triplestore.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#qengine.query.pattern">qengine.query.pattern</a></th>
<td class="colLast">
<div class="block">Patrons des requêtes RDF.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#qengine.query.pattern.collector">qengine.query.pattern.collector</a></th>
<td class="colLast">
<div class="block">Collectionneurs de patrons.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="qengine.index">
<!--   -->
</a>
<h3>Uses of <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a> in <a href="../../../index/package-summary.html">qengine.index</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../../index/package-summary.html">qengine.index</a> with parameters of type <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Hexastore.</span><code><span class="memberNameLink"><a href="../../../index/Hexastore.html#project(qengine.query.pattern.Pattern)">project</a></span>&#8203;(<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&nbsp;pattern)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Index.</span><code><span class="memberNameLink"><a href="../../../index/Index.html#project(qengine.query.pattern.Pattern)">project</a></span>&#8203;(<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&nbsp;pattern)</code></th>
<td class="colLast">
<div class="block">Effectue la projection d'un patron.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="qengine.index.triplestore">
<!--   -->
</a>
<h3>Uses of <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a> in <a href="../../../index/triplestore/package-summary.html">qengine.index.triplestore</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../../index/triplestore/package-summary.html">qengine.index.triplestore</a> with parameters of type <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OPS.</span><code><span class="memberNameLink"><a href="../../../index/triplestore/OPS.html#project(qengine.query.pattern.Pattern)">project</a></span>&#8203;(<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&nbsp;pattern)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">OSP.</span><code><span class="memberNameLink"><a href="../../../index/triplestore/OSP.html#project(qengine.query.pattern.Pattern)">project</a></span>&#8203;(<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&nbsp;pattern)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">POS.</span><code><span class="memberNameLink"><a href="../../../index/triplestore/POS.html#project(qengine.query.pattern.Pattern)">project</a></span>&#8203;(<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&nbsp;pattern)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">PSO.</span><code><span class="memberNameLink"><a href="../../../index/triplestore/PSO.html#project(qengine.query.pattern.Pattern)">project</a></span>&#8203;(<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&nbsp;pattern)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SOP.</span><code><span class="memberNameLink"><a href="../../../index/triplestore/SOP.html#project(qengine.query.pattern.Pattern)">project</a></span>&#8203;(<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&nbsp;pattern)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.Integer&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SPO.</span><code><span class="memberNameLink"><a href="../../../index/triplestore/SPO.html#project(qengine.query.pattern.Pattern)">project</a></span>&#8203;(<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&nbsp;pattern)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="qengine.query.pattern">
<!--   -->
</a>
<h3>Uses of <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a> in <a href="../package-summary.html">qengine.query.pattern</a></h3>
<table class="useSummary">
<caption><span>Classes in <a href="../package-summary.html">qengine.query.pattern</a> that implement <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../SubjectPattern.html" title="class in qengine.query.pattern">SubjectPattern</a></span></code></th>
<td class="colLast">
<div class="block">Patron contenant une projection sur le sujet.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="qengine.query.pattern.collector">
<!--   -->
</a>
<h3>Uses of <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a> in <a href="../collector/package-summary.html">qengine.query.pattern.collector</a></h3>
<table class="useSummary">
<caption><span>Fields in <a href="../collector/package-summary.html">qengine.query.pattern.collector</a> with type parameters of type <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SubjectPatternCollector.</span><code><span class="memberNameLink"><a href="../collector/SubjectPatternCollector.html#patterns">patterns</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../collector/package-summary.html">qengine.query.pattern.collector</a> that return types with arguments of type <a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SubjectPatternCollector.</span><code><span class="memberNameLink"><a href="../collector/SubjectPatternCollector.html#getPatterns()">getPatterns</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne la liste des patrons rencontrés et traduits.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;<a href="../Pattern.html" title="interface in qengine.query.pattern">Pattern</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">SubjectPatternCollector.</span><code><span class="memberNameLink"><a href="../collector/SubjectPatternCollector.html#process(org.eclipse.rdf4j.query.algebra.QueryModelNode,qengine.dictionary.Dictionary)">process</a></span>&#8203;(org.eclipse.rdf4j.query.algebra.QueryModelNode&nbsp;node,
       <a href="../../../dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a>&nbsp;dictionary)</code></th>
<td class="colLast">
<div class="block">Utilise une instance de ce collectionneur pour visiter la requête et retourne
 les patrons trouvés.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Pattern.html" title="interface in qengine.query.pattern">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
